Package org.eclipse.viatra.query.patternlanguage.emf.util

## Enum EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy

- java.lang.Object
- - java.lang.Enum<EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy>
  - - org.eclipse.viatra.query.patternlanguage.emf.util.EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy>`
  Enclosing class:
    EMFPatternLanguageGeneratorConfig

      public static enum EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy
      extends java.lang.Enum<EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NESTED_CLASS` | Pattern-specific match and matcher classes are generated as subclasses of the query specification
    `SEPARATE_CLASS` | Pattern-specific match and matcher classes are generated into separate classes; default behavior since old IncQuery versions
    `USE_GENERIC` | No pattern-specific match or matcher classes are generated; the generated class will be similar than private patterns since VIATRA 1.6.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy` | `defaultValue()` |
    `static java.lang.String[]` | `getAllIdentifiers()` |
    `static java.lang.String[]` | `getAllLabels()` | Returns all labels in the same order than `values()`.
    `java.lang.String` | `getLabel()` |
    `static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEPARATE_CLASS

          public static final EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy SEPARATE_CLASS

      Pattern-specific match and matcher classes are generated into separate classes; default behavior since old IncQuery versions

    - #### NESTED_CLASS

          public static final EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy NESTED_CLASS

      Pattern-specific match and matcher classes are generated as subclasses of the query specification

    - #### USE_GENERIC

          public static final EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy USE_GENERIC

      No pattern-specific match or matcher classes are generated; the generated class will be similar than private patterns since VIATRA 1.6. Useful if generated classes are not necessary, e.g. only used for surrogate or validation queries.

  - ### Method Detail

    - #### values

          public static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy c : EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLabel

          public java.lang.String getLabel()

    - #### getAllIdentifiers

          public static java.lang.String[] getAllIdentifiers()

    - #### getAllLabels

          public static java.lang.String[] getAllLabels()

      Returns all labels in the same order than `values()`.

    - #### defaultValue

          public static EMFPatternLanguageGeneratorConfig.MatcherGenerationStrategy defaultValue()